@echo off

:--- Pull content submodule ---
pushd resources\lib\content
git checkout .
git pull
popd

:=== Parameters ===
python get_version.py addon.xml >version.txt
set /p ver=<version.txt
echo %ver%
pause

set prog=PlayStream
set pack_name=plugin.video.playstream
set desc=Play online streams from various sources, mostly Latvian

set ipk_dir=ipkg\
set release_dir=release\
set repo_dir=..\repo\
set feed_dir=q:\web\repo\

set AR=\MinGW\bin\ar.exe
set TAR=\MinGW\msys\1.0\bin\tar.exe
rem set ZIP=\Program Files (x86)\Gow\bin\zip.exe

:=== data files ===
if exist "%pack_name%" rm -r -f "%pack_name%"
mkdir "%pack_name%""
if not exist %release_dir% mkdir %release_dir%
if not exist %repo_dir% mkdir %repo_dir%
if not exist  %repo_dir%%pack_name% mkdir  %repo_dir%%pack_name%


for %%f in (
readme.md
changelog.md
addon.xml
addon.py
context_menu.py
context_download.py
service.py
icon.png
kodiswift\*.py
resources\__init__.py
resources\settings.xml
resources\icon.png
resources\language\English\*
resources\lib\__init__.py
resources\lib\content\__init__.py
resources\lib\content\ContentSources.py
resources\lib\content\playstreamproxy.py
resources\lib\content\Downloader.py
resources\lib\content\resolver.py
resources\lib\content\util.py
resources\lib\content\run.py
resources\lib\content\demjson.py
resources\lib\content\ordereddict.py
resources\lib\content\sources\__init__.py
resources\lib\content\sources\SourceBase.py
resources\lib\content\sources\cinemalive.py
resources\lib\content\sources\config.py
resources\lib\content\sources\euronews.py
resources\lib\content\sources\filmix.py
resources\lib\content\sources\filmon.py
resources\lib\content\sources\iplayer.py
resources\lib\content\sources\movieplace.py
resources\lib\content\sources\ltc.py
resources\lib\content\sources\mtgplay.py
resources\lib\content\sources\play24.py
resources\lib\content\sources\replay.py
resources\lib\content\sources\lmt.py
resources\lib\content\sources\serialguru.py
resources\lib\content\sources\tvdom.py
resources\lib\content\sources\ustvnow.py
resources\lib\content\sources\viaplay.py
resources\lib\content\sources\viaplay.py
resources\lib\content\sources\YouTubeVideoUrl.py
resources\lib\content\sources\jsinterp.py
resources\lib\content\sources\swfinterp.py
resources\lib\content\sources\streams.cfg
resources\lib\content\resolvers\__init__.py
resources\lib\content\resolvers\aadecode.py
resources\lib\content\resolvers\hqqresolver.py
resources\lib\content\resolvers\openload3.py
resources\lib\content\resolvers\hdgo.py
resources\lib\content\resolvers\kapnob.py
resources\lib\content\resolvers\kodik.py
resources\lib\content\resolvers\cloudsany.py
resources\lib\content\resolvers\youtuberesolver.py
) do echo f| xcopy %%f %pack_name%\%%f

xcopy /y /q resources\lib\content\picons\* %pack_name%\resources\picons\

pause

if exist  %release_dir%%pack_name%-%ver%.zip rm %release_dir%%pack_name%-%ver%.zip
rem zip  -r %release_dir%%pack_name%-%ver%.zip %pack_name%
"C:\Program Files\WinRAR\winrar.exe" a -afzip -r %release_dir%%pack_name%-%ver%.zip %pack_name%
copy  addon.xml  %repo_dir%%pack_name%\addon.xml /Y
copy  %release_dir%%pack_name%-%ver%.zip  %repo_dir%%pack_name%\%pack_name%-%ver%.zip /Y
python -c "import hashlib; print hashlib.md5(open(r'%repo_dir%%pack_name%\%pack_name%-%ver%.zip','r').read()).hexdigest()" >%repo_dir%%pack_name%\%pack_name%-%ver%.zip.md5

git add %release_dir%%pack_name%-%ver%.zip

if not ()==(%1%) (
    git commit -m %ver%
    git tag -d "%ver%"
    git tag %ver%
    git push

    pushd  %repo_dir%..
    call update_repo.bat
    xcopy /s /y repo %feed_dir%
    popd
)
pause
